hpct-results(1)

NAME
hpct-results - HiPerConTracer Results Tool

SYNOPSIS
hpct-results input_file ...
[-L level | --loglevel level]
[-Z on|off | --logcolor on|off]
[-O file | --logfile file]
[-q | --quiet] [-w | --verbose]
[-o filename | --output filename]
[-s character | --separator character]
[-A | --sorted] [-U | --unsorted]
[-T threads | --maxthreads threads]
[-R | --input-results-from-stdin]
[-N | --input-file-names-from-stdin]
[-F filename | --input-file-names-from-file filename]
hpct-results [-h | --help]
hpct-results [-v | --version]

DESCRIPTION
hpct-results reads HiPerConTracer results files and merges them into a CSV file. Reading is multi-threaded. The output can be to standard output, or a file. Compression using GZip, BZip2 and XZ is supported. Multi-threading is supported, reading files in parallel. The results can be sorted (to ensure a deterministic order; requires ample of memory) or unsorted (which reduces memory usage but yields a non-deterministic order in case of parallel processing). The results are sorted by default.

ARGUMENTS
The following arguments may be provided:

input_file ...
    A HiPerConTracer results file. Multiple files may be provided, they results will be joined.

-L level | --loglevel level
    Sets the minimum logging level to the provided value: 0=trace, 1=debug, 2=info, 3=warning, 4=error, 5=fatal.

-Z on|off | --logcolor on|off
    Enables (on) or disables (off) the usage of ANSI color escape sequences to colorise the log output according to its level.

-O file | --logfile file
    Sets a file name for appending the log output to. If a file is set, no log output is made to the console. Otherwise, all log output will be written to the console.

-q | --quiet
    Sets the minimum logging level to 3 (warning).

-w | --verbose
    Sets the minimum logging level to 0 (trace).

-o filename | --output filename
    Sets the specified filename as output file. Extensions .gz, .bz2, and .xz are recognised to enable compression.

-s character | --separator character
    Configures the character used as separator of the CSV output. Default: ",". Possible values: " ", ";", ":", " | ".

-A | --sorted
    Sort the output data (by Timestamp, MeasurementID, Source, Destination, RoundNumber, SeqNumber). This is the default.

-U | --unsorted
    Do not sort the output data. This reduces processing time and memory usage, but multi-threading makes the output order non-deterministic.

-T threads | --maxthreads threads
    Sets the maximum number of threads. By default, it is the number of CPU cores.

-R | --input-results-from-stdin
    Read the results from standard input.

-N | --input-file-names-from-stdin
    Read the input file names from standard input.

-F file | --input-file-names-from-file file
    Read the input file names from file. The option may be provided multiple times to read from multiple files.

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The hpct-results tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

hpct-results results/Ping* --output ping.csv.xz --sorted --separator ';'

hpct-results results/Traceroute* --output traceroute.csv.bz2 --unsorted

hpct-results results/Traceroute* --sorted | head -n 64

find results/ -name 'Traceroute-*.hpct.*' | hpct-results --input-file-names-from-stdin -o results.csv.gz

hpct-results --input-file-names-from-file results-files.list -o results.csv.xz

hpct-results --version

hpct-results -h

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh